Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 600053 - a mistake with ps piped into sendmail makes fedora 12 crash
a mistake with ps piped into sendmail makes fedora 12 crash
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
12
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 17:41 EDT by Suawomirr
Modified: 2010-06-07 03:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-07 03:12:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suawomirr 2010-06-03 17:41:30 EDT
Description of problem:


Version-Release number of selected component (if applicable): probably the latest available in fedora 12 repos version of sendmail


How reproducible:


Steps to Reproduce:
1. type :

[x@l.l ~]$ ps axf | sendmail

into the gnome terminal window. I know there is a typo in the above line, I wanted it to be '[x@l.l ~]$ ps axf | grep sendmail' but I JUST forgot the grep thing :)
2. system hangs up, no response to C-A-Del, must button-restart. After the crash there was blank screen longer than usually and a writing has shown up saying something like "ext3fs on /dev/sda3 [my / partition] crashed"
3. no log file, no abrt reaction, not right after the crash nor after getting the system up
  
Actual results:

after restart - seems like nothing happened

Expected results:

I expect you to make the sendmail or bash [piping stuff] or gnome terminal up and/or improve :).

Additional info:

My hardware: ASUS N61Vg Core2 Duo P7450 with 4GB RAM, Fedora 12 running natively, no xen, no any virt base.
Comment 1 Jaroslav Škarvada 2010-06-04 04:39:31 EDT
Thank you for report. But I can not reproduce the crash:

$ ps axf | sendmail
Recipient names must be specified

$ uname -srvmpio
Linux 2.6.32.12-115.fc12.i686.PAE #1 SMP Fri Apr 30 20:14:08 UTC 2010 i686 i686 i386 GNU/Linux

Is your issue reproducible or happened only one time?
Comment 2 Jaroslav Škarvada 2010-06-07 03:12:39 EDT
Received email from the reporter that the issue happened one time. I can not reproduce it thus closing it. If the issue persists feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.